#!/bin/bash

FILE=$1
if [ "$FILE" = "" ]; then
  echo "give config file to load as first argument"
  exit 1
fi
SECRET_NAME=$2
if [ "$SECRET_NAME" = "" ]; then
  echo "give secret name to create/modify as second argument"
  exit 1
fi
NAMESPACE=$3
if [ "$NAMESPACE" = "" ]; then
  echo "give namespace as third argument"
  exit 1
fi

kubectl create secret generic $SECRET_NAME \
  --from-literal=UDI_CONF="`cat $FILE`" \
  -n $NAMESPACE \
  --dry-run=client \
  -o yaml \
  --save-config | \
kubectl apply -f -
